package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag707;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT707Creator;

/**
 * @author gaosheng
 * @date 2023/2/27
 */
public class Tag43PCreator extends AbsTagCreate {

     private MT707Creator mt707Creator;

    public Tag43PCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt707Creator= (MT707Creator) absMTCreator;
    }

    public void creator()
    {
        String tag43PValue = mt707Creator.getPartialShipments();
        mt707Creator.set("43P", tag43PValue);
    }
}
